Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Malloc<, ACE_LOCK > Class Template Reference

`#include <Malloc_T.h>`

Inheritance diagram for ACE_Malloc<, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Malloc<, ACE_LOCK >:

[legend]
List of all members.

## Public Member Functions
| ACE_Malloc (const ACE_TCHAR *pool_name=0)
| ACE_Malloc (const ACE_TCHAR *pool_name, const ACE_TCHAR *lock_name, const ACE_MEM_POOL_OPTIONS *options=0)

### template<ACE_MEM_POOL_1, class ACE_LOCK>
class ACE_Malloc<, ACE_LOCK >

## Constructor & Destructor Documentation

template<ACE_MEM_POOL_1 , class ACE_LOCK>
ACE_INLINE ACE_Malloc<, ACE_LOCK >::ACE_Malloc | ( | const ACE_TCHAR * | pool_name = `0` | ) |

| Initialize ACE_Malloc. This constructor passes pool_name to initialize the memory pool, and uses ACE::basename() to automatically extract out the name used for the underlying lock name (if necessary). Note that pool_name should be located in a directory with the appropriate visibility and protection so that all processes that need to access it can do so.

template<ACE_MEM_POOL_1 , class ACE_LOCK>
ACE_INLINE ACE_Malloc<, ACE_LOCK >::ACE_Malloc | ( | const ACE_TCHAR * | pool_name,
|  | const ACE_TCHAR * | lock_name,
|  | const ACE_MEM_POOL_OPTIONS * | options = `0`
| ) |

| Initialize ACE_Malloc. This constructor passes pool_name to initialize the memory pool, and uses lock_name to automatically extract out the name used for the underlying lock name (if necessary). In addition, options is passed through to initialize the underlying memory pool. Note that pool_name should be located in a directory with the appropriate visibility and protection so that all processes that need to access it can do so.

The documentation for this class was generated from the following files:

- Malloc_T.h
- Malloc_T.inl